
ChiliProject - Bug # 515: ArgumentError (invalid byte sequence in US-ASCII) - when adding git-repo to 
my project in Chiliproject

Status: Open Priority: Normal
Author: Thomas Langaas Category: SCM
Created: 2011-07-08 Assignee:
Updated: 2011-07-31 Due date:
Remote issue URL:
Affected version: 1.4.0
Description: When trying to add my git repo to a project, I get this:

<pre>
ArgumentError (invalid byte sequence in US-ASCII):
  lib/redmine/scm/adapters/git_adapter.rb:147:in `block (2 levels) in revisions'
  lib/redmine/scm/adapters/git_adapter.rb:146:in `each_line'
  lib/redmine/scm/adapters/git_adapter.rb:146:in `block in revisions'
  lib/redmine/scm/adapters/abstract_adapter.rb:205:in `call'
  lib/redmine/scm/adapters/abstract_adapter.rb:205:in `block in shellout'
  lib/redmine/scm/adapters/abstract_adapter.rb:203:in `popen'
  lib/redmine/scm/adapters/abstract_adapter.rb:203:in `shellout'
  lib/redmine/scm/adapters/abstract_adapter.rb:189:in `shellout'
  lib/redmine/scm/adapters/git_adapter.rb:140:in `revisions'
  app/models/repository/git.rb:62:in `fetch_changesets'
  app/controllers/repositories_controller.rb:77:in `show'
  <internal:prelude>:10:in `synchronize'
  passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'
  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in 
`accept_and_process_next_request'
  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in 
`start_request_handler'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in 
handle_spawn_application'
  passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in `safe_fork'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in 
`handle_spawn_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in `start'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in 
spawn_rails_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchronize'
  <internal:prelude>:10:in `synchronize'
  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.7) helper-scripts/passenger-spawn-server:99:in `<main>'
</pre>

Which gives me a 500-error on the webpage for viewing the repo for that project.

History
2011-07-12 12:52 am - Eric Davis
- Category set to SCM

2011-07-31 02:43 pm - Tom Rochette
Can you look at the [[Contribute#Youve-found-a-bug|Youve-found-a-bug]] section and fill the missing details? (in this case I'm interested in the ruby 
version mostly) Thank you.

2011-07-31 05:47 pm - Thomas Langaas
Sorry about that, same settings as #440 and #519:
<pre>
# gem list

*** LOCAL GEMS ***

actionmailer (2.3.12, 2.3.5)
actionpack (2.3.12, 2.3.5)
activerecord (2.3.12, 2.3.5)
activeresource (2.3.12, 2.3.5)
activesupport (2.3.12, 2.3.5)
bundler (1.0.15)
coderay (0.9.8)
daemon_controller (0.2.6)
edavis10-object_daddy (0.4.3)
fastthread (1.0.7)
i18n (0.4.2)
mocha (0.9.12)
mysql (2.8.1)
mysql2 (0.2.11)
passenger (3.0.7)
pg (0.9.0)
rack (1.1.2, 1.0.1)
rails (2.3.12, 2.3.5)
rake (0.9.2, 0.9.0, 0.8.7)
rdoc (3.8)
rmagick (2.13.1)
ruby-openid (2.1.8)
rubytree (0.5.3)
shoulda (2.10.3)
sqlite3-ruby (1.2.5)
</pre>

Ruby-version is 1.9.2
